<template>
   <div class="myCount1" v-if="myCount1">
    <!---->
    <!-- 依照卡片不同有不同的bottom line，請依照卡片類別替換 border-bottom 的顏色-->
    <section class="wrapper inner" style="border-bottom: 8px solid rgba(0,0,0,1)">
      <section class="mb sec_fullPage">
        <div class="mb_card">
          <!---->
          <!-- 替換用的卡片樣式-->
          <div class="mb_card_box" :style="{'width':client + 'px'}">
            <img :src="'./static/images/card/platinum.png'" alt="白金卡" v-if="platinum">
            <img :src="'./static/images/card/friend.png'" alt="普卡" v-if="friend">
            <img :src="'./static/images/card/gold.png'" alt="金卡" v-if="gold">
            <img :src="'./static/images/card/diamond.png'" alt="钻石卡" v-if="diamond">
          </div>
          <!---->
          <!-- 會員資料-->
          <!-- ".member--forFriend" 普卡專用白字請加在此-->
          <section class="member" :style="{color:friend?'#fff':'#000'}">
            <div>
              <!---->
              <!--會員卡片類別-->
              <h2 class="mb_card_typeEN">{{rankName}}</h2>
              <h4 class="mb_card_typeCN">{{cardName}}</h4>
            </div>
            <div>
              <!---->
              <!--會員名稱及累積方法-->
              <h3 class="mb_card_mb">{{contactName}}</h3>
              <p class="mb_card_points">消费1元，得{{records}}积分</p>
            </div>
          </section>
        </div>
      </section>
      <section class="mb" style="margin-top: 24px;">
        <ul class="mb_ctn">
          <!---->
          <!-- 會籍到期日-->
          <li class="list_item">
            <h4 class="item_name">会籍到期日：</h4>
            <p class="item_ctn">{{mEndTime}}</p>
          </li>
          <!---->
          <!-- 有效點數-->
          <li class="list_item">
            <h4 class="item_name">有效积分：</h4>
            <p class="item_ctn">{{points}} 积分</p>
          </li>
          <!---->
          <!-- 目前累積消費-->
          <li class="list_item">
            <h4 class="item_name">目前累积消费：</h4>
            <p class="item_ctn">{{currentMoney}}元</p>
          </li>
        </ul>
        <section class="mb_progress" v-if="rankName !== 'Diamond'">
          <!---->
          <!-- 累積點數進度條-->
          <span class="mb_progress_text">还差<span>{{nextRankDiff}}</span>元，即可每消费<span>1元</span>得<span>{{grade}}</span>积分</span>
          <div class="progress">
            <!---->
            <!-- 目前進度，請直接將數值轉換成百分比後代入style.width-->
            <span class="progress_current" :style="{width:progress}"></span>
          </div>
          <!-- 第一項為current的會員卡，第二項是升級後的-->
          <section class="progress_card">
            <h4 class="card_name">{{nowrank}}</h4>
            <h4 class="card_name">{{nextrank}}</h4>
          </section>
        </section>
      </section>
      <section class="mb"  >
        <section class="mb_editor" @click="change"><span class="mb_editor_line"></span>
          <!---->
          <!-- 點擊此按鈕會進入修改--><div class="mb_editor_btn" ></div>
        </section>
        <ul class="mb_ctn">
          <!---->
          <!-- 出生日期-->
          <li class="list_item">
            <h4 class="item_name">出生日期：</h4>
            <p class="item_ctn">{{birthdate}}</p>
          </li>
          <!---->
          <!-- 電話  class'.veri'及'.no_veri' 專門給驗證使用，驗證過的是.veri會顯示綠色勾勾，尚未驗證的是.no_veri會顯示黃色驚嘆號-->
          <li class="list_item">
            <h4 class="item_name">电话：</h4>
            <div class="item_ctn">
              <p>{{phone}}</p>
              <span class="veri"></span>
            </div>
          </li>
          <!---->
          <!-- mail  class'.veri'及'.no_veri' 專門給驗證使用，驗證過的是.veri會顯示綠色勾勾，尚未驗證的是.no_veri會顯示黃色驚嘆號-->
          <li class="list_item mail_length">
            <h4 class="item_name">E-mail：</h4>
            <div class="item_ctn">
              <p>{{email}}</p>
              <span class="no_veri" v-if="!type"></span>
              <span class="veri" v-if="type"></span>
            </div>
          </li>
          <!---->
        </ul>
      </section>
      <section class="mb mb_pre">
        <h4 class="item_name">是否接受优惠讯息通知？</h4>
        <!---->
        <!-- 行銷優惠選項-->
        <div class="pre">
          <div class="pre_box">
            <input id="pre_yes" type="radio" name="pre" checked>
            <span class="after" :class="{'high':wantSend}">
              <span class="before" v-if="wantSend"></span>
              </span>
            <label for="pre_yes" class="item">是</label>
          </div>
          <div class="pre_box">
            <input id="pre_no" type="radio" name="pre">
            <span class="after"  :class="{'high':!wantSend}">
              <span class="before" v-if="!wantSend"></span>
              </span>
            <label for="pre_no" class="item">否</label>
          </div>
        </div>
      </section>
    </section>
   </div>
</template>
<script>
    import store from  '../../utils/store.js';
export default {
    data(){
        return{
                grade:'',
                nowrank:'',
                nextrank:'',
                myCount1:'',
                contactId:'',
                datas:{},
                contactName:'',
                mEndTime:'',
                points:'',
                currentMoney:'',
                nextRankDiff:"",
                birthdate:'',
                phone:'',
                email:'',
                gold:false,
                platinum:false,
                friend:false,
                diamond:false,
                rankName:'',
                cardName:'',
                wantSend:false,
                progress:0,
                type:'',
                records:3,
                client:''
        }
    },
    methods:{
               //千分位方法
                thousandth(str){
                    if(str === '' || str === null){
                        return str;
                    }else{
                        let re=/(?=(?!(\b))(\d{3})+$)/g;
                        let str1 = str.toString();
                        str1=str1.replace(re,",");
                        return str1;
                    }
                },
                //获取会员的个信息
                getAjax(){
                    let that = this;
                    if(store.state.myCount1.contactId){
                        that.contactId = store.state.myCount1.contactId;
                    }else{
                        that.contactId = sessionStorage.getItem('contactId');
                    }
                    console.log('contactId',that.contactId);
                    let data = {
                        contactId: that.contactId
                    }
                    this.config.server(
                        "/member/info",
                        "POST",
                        data,
                        (data)=> {
                            console.log('success',data);
                            this.myCount1 = true;
                            console.log(data);
                            this.datas = data.records[0];
                            this.contactName = this.datas.contactName;
                            this.mEndTime = this.datas.mEndTime;
                            this.points = this.thousandth(this.datas.points);
                            this.currentMoney = this.thousandth(this.datas.currentMoney);
                            this.nextRankDiff = this.thousandth(this.datas.nextRankDiff);
                            this.birthdate = this.datas.birthdate;
                            this.phone = this.datas.phone;
                            this.email = this.datas.email;
                            this.wantSend = this.datas.wantSend;
                            this.progress = this.datas.upgradePer;
                            this.type = this.datas.IsAuthEmiail;
                            console.log('progress',this.progress);
                            //卡片升級順序: 普卡>金卡>白金卡>鑽石卡
                            if(data.records[0].identityType === '00'){
                                this.cardName='普卡';
                                this.rankName = 'Friend';
                                this.nowrank = '普卡';
                                this.nextrank = '金卡';
                                this.records = 1;
                                this.grade = 2;
                                this.friend = true;
                            }else if(data.records[0].identityType === '01'){
                                this.cardName='金卡';
                                this.rankName = 'Gold';
                                this.nowrank = '金卡';
                                this.nextrank = '白金卡';
                                this.records = 2;
                                this.grade = 3;
                                this.gold = true;
                            }else if(data.records[0].identityType === '02'){
                                this.cardName='白金卡';
                                this.rankName = 'Platinum';
                                this.nowrank = '白金卡';
                                this.nextrank = '钻石卡';
                                this.records = 3;
                                this.grade = 4;
                                this.platinum = true;
                            }else{
                                this.cardName='钻石卡';
                                this.rankName = 'Diamond';
                                this.diamond = true;
                                this.records = 4;
                            }
                            this.$forceUpdate();

                        },
                        (error)=> {
                            console.log('error',error);
                        },
                    )

                },
                //修改个人信息页面
                change(){
                    console.log('change');
                    let data = {
                        email:this.email,
                        contactId:this.contactId,
                        wantSend:this.wantSend
                    }
                    store.commit('setData',['myCount3','data',data]);
                    this.$router.push('/myCount3');
                }

            },
            created(data){
                this.datas = {};
                this.contactName='';
                this.mEndTime='';
                this.points='';
                this.currentMoney='';
                this.nextRankDiff="";
                this.birthdate='';
                this.phone='';
                this.email='';
                this.gold=false;
                this.platinum=false;
                this.friend=false;
                this.diamond=false;
                this.rankName ="";
                this.cardName ='';
                this.wantSend = false;
                this.progress = 0;
                this.type = false;
                this.records = 3;
                this.client = window.screen.width;
                this.nowrank = '';
                this.nextrank = '';
                this.grade = '';
                // if(store.state.myCount1.type){
                //     this.type = store.state.myCount1.type;
                //     console.log('type',store.state.myCount1.type);
                // }
                this.getAjax();
            }


}
</script>
<style scoped>
  .myCount1{
    height: 100%;
  }
  .before{
    width: 10px;
    height: 10px;
    content: '';
    position: relative;
    -webkit-transform: translate3d(0, -50%, 0);
    transform: translate3d(0, -50%, 0);
    /* border: 1px solid #545147; */
    /* border: 1px solid red; */
    background-color: #fff;
    border-radius: 50%;
    top: 9px;
    left: 4px;
    display: block;
    z-index: 999;
  }
  .after{
    content: '';
    width: 20px;
    height: 20px;
    position: relative;
    -webkit-transform: translate3d(0, -50%, 0);
    transform: translate3d(0, -50%, 0);
    background-color: #fff;
    border: 1px solid #827159;
    /*border: 1px solid blue;*/
    border-radius: 50%;
    top: 21px;
    left: 4px;
    display: block;

  }
  .high{
    background-color: #827159;
  }
  .item{
    left: -10px;
    top: -11px;
  }
  /*.ul.mb_ctn h4.item_name{*/
    /*font-size: 0.28rem;*/
  /*}*/
  /*.ul.mb_ctn .item_ctn{*/
    /*font-size: 0.28rem;*/
  /*}*/
</style>
